# $Revision: 1.33 $, $Date: 2012/01/16 17:43:25 $
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	SOAP
%define		pnam	Lite
%define		real_version	%(echo %{version} | sed 's/[a-zA-Z]//')
Summary:	SOAP::Lite - Client and server side SOAP implementation
Summary(pl.UTF-8):	SOAP::Lite - implementacja SOAP po stronie klienta i serwera
Name:		perl-SOAP-Lite
Version:	0.714
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/M/MK/MKUTTER/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4a3e8990fde047e11bea6771a7174c23
Patch0:		%{name}-warnings.patch
Patch1:		%{name}-pod.patch
URL:		http://www.soaplite.com/
%if %{with tests}
# this list is probably incomplete
BuildRequires:	apache-mod_perl
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-Crypt-SSLeay
BuildRequires:	perl-FCGI
BuildRequires:	perl-IO-Socket-SSL
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-MIME-Lite
BuildRequires:	perl-MIME-tools
BuildRequires:	perl-URI
BuildRequires:	perl-libnet
BuildRequires:	perl-libwww
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# optional
%define		_noautoreq	'perl(SOAP::Transport::HTTP)'

%description
SOAP::Lite is a collection of Perl modules which provides a simple and
lightweight interface to the Simple Object Access Protocol (SOAP) both
on client and server side.

%description -l pl.UTF-8
SOAP::Lite to zestaw modułów Perla udostępniających prosty i lekki
interfejs do protokołu SOAP (Simple Object Access Protocol) zarówno po
stronie klienta, jak i serwera.

%package HTTP
Summary:	HTTP transport support for SOAP::Lite
Summary(pl.UTF-8):	Obsługa transportu HTTP dla SOAP::Lite
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	perl-libwww

%description HTTP
HTTP transport support for SOAP::Lite (SOAP::Transport::HTTP).

%description HTTP -l pl.UTF-8
Obsługa transportu HTTP dla SOAP::Lite (SOAP::Transport::HTTP).

%package examples
Summary:	SOAP::Lite - examples
Summary(pl.UTF-8):	Przykłady użycia SOAP::Lite
Group:		Development/Languages/Perl

%description examples
Examples for SOAP::Lite.

%description examples -l pl.UTF-8
Przykłady użycia SOAP::Lite.

%prep
%setup -q -n %{pdir}-%{pnam}-%{real_version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"SOAP::Lite")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# don't package .pod
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/SOAP/*.pod

# don't package OldDocs
rm -f $RPM_BUILD_ROOT%{_mandir}/man3/OldDocs::*
rm -rf $RPM_BUILD_ROOT%{perl_vendorlib}/OldDocs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Apache/*.pm
%dir %{perl_vendorlib}/Apache/XMLRPC
%{perl_vendorlib}/Apache/XMLRPC/*.pm
%{perl_vendorlib}/IO/*.pm
%{perl_vendorlib}/SOAP/*.pm
%dir %{perl_vendorlib}/SOAP/Lite
%{perl_vendorlib}/SOAP/Lite/*.pm
%dir %{perl_vendorlib}/SOAP/Lite/Deserializer
%{perl_vendorlib}/SOAP/Lite/Deserializer/*.pm
%dir %{perl_vendorlib}/SOAP/Transport
%{perl_vendorlib}/SOAP/Transport/*.pm
%exclude %{perl_vendorlib}/SOAP/Transport/HTTP.pm
%dir %{perl_vendorlib}/UDDI
%{perl_vendorlib}/UDDI/*.pm
%{perl_vendorlib}/XML/Parser/*.pm
%dir %{perl_vendorlib}/XMLRPC
%{perl_vendorlib}/XMLRPC/*.pm
%dir %{perl_vendorlib}/XMLRPC/Transport
%{perl_vendorlib}/XMLRPC/Transport/*.pm
%{_mandir}/man3/Apache*
%{_mandir}/man3/UDDI*
%{_mandir}/man3/XML*
%{_mandir}/man3/SOAP*

%files HTTP
%defattr(644,root,root,755)
%{perl_vendorlib}/SOAP/Transport/HTTP.pm

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SOAP-Lite.spec,v $
Revision 1.33  2012/01/16 17:43:25  zbyniu
- up to 0.714

Revision 1.32  2011/01/01 13:40:46  kosmo
- updated to 0.712
- removed JABBER and MQ subpackages (were moved to external modules)

Revision 1.31  2009/10/09 12:39:47  amateja
- updated to 0.710.10

Revision 1.30  2008/06/05 09:39:37  glen
- fix typo in manual

Revision 1.29  2008-06-02 15:33:08  glen
- disable redefine warnings in strict mode

Revision 1.28  2008-05-14 14:43:14  qboosh
- pl for -HTTP

Revision 1.27  2008-05-14 13:52:11  glen
- link

Revision 1.26  2008-05-14 13:44:32  glen
- this version seems broken
- separate HTTP transport due LWP dep

Revision 1.25  2008-03-31 14:42:27  glen
- remove probably unwanted files
- and what the "guru" has to do?

Revision 1.24  2008-03-31 14:05:45  kosmo
- updated to 0.71
- touch of perl guru is required

Revision 1.23  2008-03-24 20:47:41  qboosh
- unified sf URL

Revision 1.22  2008-01-19 22:33:54  kosmo
- updated to 0.70_04
- new download url

Revision 1.21  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.19  2006/10/24 21:13:14  ankry
- ver. 0.69, NFY

Revision 1.18  2006/09/02 20:34:47  glen
- cp -a implies cp -r

Revision 1.17  2004/11/03 22:30:41  paladine
- formatting

Revision 1.16  2004/06/13 21:51:07  ankry
- disabled MQ subpackage by default, rel. 2

Revision 1.15  2004/05/06 18:20:59  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/01 00:31:59  ankry
- license fixed, cosmetics

Revision 1.13  2004/04/11 16:22:35  migo
- up to 0.60a

Revision 1.12  2004/03/13 23:09:16  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.11  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.10  2003/08/26 18:21:56  blues
- release 5 (4 is for RA-branch)

Revision 1.9  2003/05/25 06:24:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 20:46:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:38:02  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/09/04 19:28:28  radek
- Jabber and MQ support went to separate packages; more should be separated
- release 3

Revision 1.3  2002/08/30 08:41:09  qboosh
- SOAP/Transport dir must go to perl.spec; release 2

Revision 1.2  2002/08/27 18:55:13  qboosh
- pl description, added some dirs to package

Revision 1.1  2002/08/27 13:31:20  radek
- new, STBR
